> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a BYO SMS Verification

Bring-Your-Own SMS (BYO SMS) creates a new EntityVerificationSession to inform Method that this Entity's phone number has already been verified via non-Method verifications skipping the phone verification requirement.

> [!NOTE]
>
> This Verification type is restricted and require pre-approval. Contact your Method CSM for more information.

## Path Parameters

## Body

## Returns

Returns an EntityVerificationSession object.

```bash cURL theme={null}
curl https://production.methodfi.com/entities/ent_XgYkTdiHyaz3e/verification_sessions \
  -X POST \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
  -H "Content-Type: application/json" \
  -d '{
    "type": "phone",
    "method": "byo_sms",
    "byo_sms": {
      "timestamp": "2023-12-28T14:35:15.816Z"
    }
  }'
```

```javascript Node.js theme={null}
const response = await method
  .entities("ent_XgYkTdiHyaz3e")
  .verificationSessions
  .create({
    type: "phone",
    method: "byo_sms",
    byo_sms: {
      timestamp: "2023-12-28T14:35:15.816Z",
    },
  });
```

```python Python theme={null}
response = method
  .entities('ent_XgYkTdiHyaz3e')
  .verification_sessions
  .create({
    'type': 'phone',
    'method': 'byo_sms',
    'byo_sms': {
      'timestamp': '2023-12-28T14:35:15.816Z'
    }
  })
```

```json Response theme={null}
{
  "id": "evf_3VT3bHTCnPbrm",
  "entity_id": "ent_XgYkTdiHyaz3e",
  "status": "verified",
  "type": "phone",
  "method": "byo_sms",
  "byo_sms": {
    "timestamp": "2023-12-28T14:35:15.816Z"
  },
  "error": null,
  "created_at": "2024-04-10T16:40:16.271Z",
  "updated_at": "2024-04-10T16:40:16.271Z"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.